# offer.add

Adds a file offer

Syntax

    offer.add [-t=<timeout>] [-n=<visible name>] <filename> [user_mask]

Description

Adds <filename> to the list of the active offers. The users will be able to request the file via dcc.get. If [user_mask] is specified , the access to the file is limited to the users that match this mask, otherwise the mask will be automatically set to '*!*@*'.
If the 't' switch is used, the offer will be removed after <timeout> seconds. If the 'n' switch is used, the offer will be visible to the oter users as <visible name> instead of the real <filename> (stripped of the leading path). <filename> must be an absolute path.

See also
offer.remove, offer.list, dcc.get

Main index, Command index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004